cURL
curl https://api.relayer.fi/v1/transactions/broadcast/$TRANSACTION_ID \
-H "Authorization: ApiKey $RELAYER_API_KEY"const response = await fetch(
`https://api.relayer.fi/v1/transactions/broadcast/${transactionId}`,
{ headers: { Authorization: `ApiKey ${process.env.RELAYER_API_KEY}` } },
);
const { data } = await response.json();
// data.status: "broadcast" | "confirmed" | "failed"
// data.blockNumber appears once confirmed.import requests
url = "https://testnet.relayer.fi/v1/transactions/broadcast/{transactionId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://testnet.relayer.fi/v1/transactions/broadcast/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"statusCode": 123,
"timestamp": "<string>",
"data": {
"transactionId": "tx-uuid-abc123",
"status": "broadcasted",
"txHash": "0x789...",
"broadcastedAt": "2024-01-01T12:10:00Z",
"confirmedAt": "2024-01-01T12:10:15Z",
"blockNumber": 12345678,
"confirmations": 3
},
"path": "<string>",
"traceId": "<string>"
}Transactions
Get broadcast status
Retrieves the status of a broadcasted transaction including confirmations. Only transactions belonging to the integrator can be accessed.
GET
/
transactions
/
broadcast
/
{transactionId}
cURL
curl https://api.relayer.fi/v1/transactions/broadcast/$TRANSACTION_ID \
-H "Authorization: ApiKey $RELAYER_API_KEY"const response = await fetch(
`https://api.relayer.fi/v1/transactions/broadcast/${transactionId}`,
{ headers: { Authorization: `ApiKey ${process.env.RELAYER_API_KEY}` } },
);
const { data } = await response.json();
// data.status: "broadcast" | "confirmed" | "failed"
// data.blockNumber appears once confirmed.import requests
url = "https://testnet.relayer.fi/v1/transactions/broadcast/{transactionId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://testnet.relayer.fi/v1/transactions/broadcast/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"statusCode": 123,
"timestamp": "<string>",
"data": {
"transactionId": "tx-uuid-abc123",
"status": "broadcasted",
"txHash": "0x789...",
"broadcastedAt": "2024-01-01T12:10:00Z",
"confirmedAt": "2024-01-01T12:10:15Z",
"blockNumber": 12345678,
"confirmations": 3
},
"path": "<string>",
"traceId": "<string>"
}Authorizations
api-keyapi-keyapi-key
Use this format: ApiKey <your_api_key>
Path Parameters
Transaction ID
Example:
"tx-uuid-abc123"
Query Parameters
Integrator ID (required for ADMIN/INTERNAL scope)
Example:
"uuid-integrator-id"
⌘I